Leads
Remove tags
Remove specific tags from a lead
POST
/
leads
/
{leadId}
/
tags
/
remove
cURL
curl --request POST \
--url https://api.attent.app/v1/leads/{leadId}/tags/remove \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"tagIds": [
"tag1",
"tag3"
]
}
'import requests
url = "https://api.attent.app/v1/leads/{leadId}/tags/remove"
payload = { "tagIds": ["tag1", "tag3"] }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({tagIds: ['tag1', 'tag3']})
};
fetch('https://api.attent.app/v1/leads/{leadId}/tags/remove', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tags": [
{
"id": "tag2",
"name": "Interested"
},
{
"id": "tag4",
"name": "Follow Up Required"
}
]
}{
"message": "Forbidden"
}{
"message": "Lead not found"
}{
"message": "Internal Server Error"
}Authorizations
Path Parameters
The ID of the lead to remove tags from
Body
application/json
Array of tag IDs to remove from the lead
Array of tag IDs to remove from the lead
Response
Tags successfully removed.
Array of remaining tags assigned to the lead
Show child attributes
Show child attributes
Previous
Get callFetch full details for a call by ID — transcript, AI summary, and transfer metadata.
Next
⌘I
cURL

